## simulated_annealing_opt_test
fx=@(x)21.5+x(1)*sin(4.0*x(1))+x(2)*sin(20.0*pi*x(2));
xmin=[-3 4.1];
xmax=[12.1 5.8];
MAXIMUM=3000;
n_neighbour=20;
r=0.3;
T=300.0;
[x y]=simulated_annealing_opt(fx,xmin,xmax,MAXIMUM,T,n_neighbour,r);
x
y
[x y]=continuation_RK6_opt(fx,x);
x
y
